Subject: Re: Headers of Simultaneous Mail & News (was: WARNING FOR PINE 3.90 USERS!!!!!)

From: "Steven D. Majewski" <[email-masked]>
Date: Wed, 12 Oct 1994 17:23:47 -0400 (EDT)

On 10 Oct 1994, Jason Haar wrote:
>
> I still think the only issue here is whether or not pine should post 
> articles into News based on the presence of a Newsgroups: header. 
> 

I think the only issue is whether a program should put 
Newsgroups headers into mail messages when that mail message is 
not also intended to be posted to those newsgroups - i.e. as an
indicator that this (mail-only) message is in reply to a news
message that was posted to those groups. 

My opinion is NO - but that is admittedly not based on an explicit 
statement in any standard, but on "son of rfc1036" - which Henry Spencer 
never got around to issuing as an RFC, but which clears up a lot of 
ambiguities of rfc1036, rfc822 and the intent of mail and news messages to 
be compatible. It is more explicit about both the semantics of 
Newsgroups:  - that it "specifies which newsgroup(s) the article is posted 
to".  Rfc1036 says:  "The 'Newsgroups' line specifies the newsgroup or 
newsgroups in which the message belongs."  "belongs" can certainly be 
interpreted more widely to mean somthing other than "posted" . 

But more generally, if you accept that documents premise that news and 
mail articles are supposed to be compatible message formats, then giving
"Newsgroups:" the same semantics in both contexts is the only sensible 
interpretation. 

You may not accept that premise, but I think the fact that this has 
come up is evidence that the world is starting to resemble that premise. 
Tin and Trn are taking their own steps towards unification - however 
I think they are doing it wrong. 

There *IS* a not unreasonable argument to be made that they aren't wrong. 
But I don't think, and I haven't yet seen, a reasonable argument that
what Pine does is in any way wrong. 

[ "son of rfc1036" available at:
	<ftp://zoo.toronto.edu/pub/news.txt.Z>
	<ftp://zoo.toronto.edu/pub/news.ps.Z> 
]

-- Steve Majewski       (804-982-0831)      <[email-masked]> --
-- UVA Department of Molecular Physiology and Biological Physics --
-- Box 449 Health Science Center        Charlottesville,VA 22908 --
		 [ "Cheese is more macho?" ]